io.vertx.ext.unit.report

## Class ReportOptions

- java.lang.Object
- - io.vertx.ext.unit.report.ReportOptions

-     public class ReportOptions
      extends Object

  Configures a reporter consisting in a name `to`, an address `at` and an optional `format`.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FORMAT` The `simple` format is the default `format` value.
    `static String` | `DEFAULT_TO` The `console` is the default `to` value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportOptions()`
    `ReportOptions(JsonObject json)`
    `ReportOptions(ReportOptions other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()`
    `String` | `getTo()`
    `ReportOptions` | `setFormat(String format)` Set the current reporter format.
    `ReportOptions` | `setTo(String to)` Set the current reporter name.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TO

          public static final String DEFAULT_TO

      The `console` is the default `to` value.
      See Also:
        Constant Field Values

    - #### DEFAULT_FORMAT

          public static final String DEFAULT_FORMAT

      The `simple` format is the default `format` value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReportOptions

          public ReportOptions()

    - #### ReportOptions

          public ReportOptions(ReportOptions other)

    - #### ReportOptions

          public ReportOptions(JsonObject json)

  - ### Method Detail

    - #### getTo

          public String getTo()

      Returns:
        the current reporter name

    - #### setTo

          public ReportOptions setTo(String to)

      Set the current reporter name.
      Parameters:
        `to` - the new reporter name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getFormat

          public String getFormat()

      Returns:
        the current reporter format

    - #### setFormat

          public ReportOptions setFormat(String format)

      Set the current reporter format.
      Parameters:
        `format` - the format
      Returns:
        a reference to this, so the API can be used fluently a

    - #### toJson

          public JsonObject toJson()

Copyright © 2015. All rights reserved.